[Numpy-discussion] recompiling everything ?

josef.pktd@gmai... josef.pktd@gmai...
Mon Nov 23 09:53:01 CST 2009


I have several scikits with c extension compiled against an older
trunk version of 1.4 but didn't recompile them with the numpy trunk
version that I currently use.
scikits.timeseries just crashed on me taking several hours worth of
examples with it.
(scipy crashed during testing, so I rebuilt it immediately with the
matching numpy version)

Is this only related to the temporary (?) ABI breaking during the
datetime merge, or do we now have to recompile all packages with
c-extension each time we update numpy trunk?

(If scipy trunk didn't require numpy trunk, I would gladly just stick
with the release version of numpy.)

Josef


More information about the NumPy-Discussion mailing list